Nux!


Home » Repos » Report a problem or request a package » [Package Upgrade] MakeMKV for EL6 (Upgrade MakeMKV to v1.9.10 for EL6)
[Package Upgrade] MakeMKV for EL6 [message #3579] Mon, 16 May 2016 19:12 Go to next message
GhostRyda is currently offline  GhostRyda
Messages: 5
Registered: February 2015
Junior Member
Hi Nux

The version of MakeMKV in the dextop repo is still at v1.9.2.

If you are interested in building the latest 1.9.10 version I have attached the updated spec, changelog, and patch files.

All you need are the download files from makemkv.com:

http://www.makemkv.com/download/makemkv-bin-1.9.10.tar.gz
http://www.makemkv.com/download/makemkv-oss-1.9.10.tar.gz

Thanks for hosting an awesome repo.

Re: [Package Upgrade] MakeMKV for EL6 [message #3580 is a reply to message #3579] Tue, 17 May 2016 15:26 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

Thanks buddy, will check this out shortly.
Re: [Package Upgrade] MakeMKV for EL6 [message #3587 is a reply to message #3579] Sat, 21 May 2016 15:49 Go to previous messageGo to next message
schotty is currently offline  schotty
Messages: 64
Registered: December 2012
Location: United States
Member
Nux:
I have the usual 1.9.10 rpm, srpm, and debug rpm for both el6 & 7 up on my repo. Feel free to leech/rebuild. I have some new scripts that I wrote up that are automating this for me.

http://schotty.com/yum/el/6/repoview/makemkv.html
Re: [Package Upgrade] MakeMKV for EL6 [message #3588 is a reply to message #3579] Sat, 21 May 2016 18:12 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

I've pushed the updated version in my testing repo for now. Feel free to try it.
Re: [Package Upgrade] MakeMKV for EL6 [message #3728 is a reply to message #3588] Wed, 12 October 2016 21:43 Go to previous messageGo to next message
loopnode
Messages: 20
Registered: October 2012
Location: earth-based
Junior Member
nux wrote on Sat, 21 May 2016 10:12
I've pushed the updated version in my testing repo for now. Feel free to try it.


Hi Nux!

I installed the testing repo version, but when opening MakeMKV a message popup window appears saying,

"This application version is too old. Please download the latest version at http://www.makemkv.com/ or enter a registration key to continue using the current version."

Clicking "OK" closes the app.

Anyone on the forum using MakeMKV? Any chance of a newer version coming to the Stella repo?

-loop
Re: [Package Upgrade] MakeMKV for EL6 [message #3731 is a reply to message #3579] Thu, 13 October 2016 10:23 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

Hi,

Unfortunatelly latest version 1.10.2 no longer builds on EL6, any suggestions welcome.

/usr/include/QtCore/qchar.h:372: note: candidates are: QChar::QChar(int) <near match>
/usr/include/QtCore/qchar.h:371: note:                 QChar::QChar(uint) <near match>
/usr/include/QtCore/qchar.h:370: note:                 QChar::QChar(short int) <near match>
/usr/include/QtCore/qchar.h:81: note:                 QChar::QChar(ushort) <near match>
/usr/include/QtCore/qchar.h:77: note:                 QChar::QChar(uchar) <near match>
/usr/include/QtCore/qchar.h:76: note:                 QChar::QChar(char) <near match>
makemkvgui/src/nativefiledialog.cpp:48: warning: 'QString QFDP_workingDirectory(const QString&)' defined but not used
makemkvgui/src/nativefiledialog.cpp:59: warning: 'QString QFDP_initialSelection(const QString&)' defined but not used
makemkvgui/src/scsiinfo.cpp: In function 'bool FormatDriveDiskInfo(QString&, QString&, const utf16_t*, const utf16_t*, const void*, unsigned int, AP_DiskFsFlags, AP_DriveState)':
makemkvgui/src/scsiinfo.cpp:535: warning: comparison between signed and unsigned integer expressions
libmakemkv/src/libmkv.cpp: In member function 'void MyMkvTrackInfo::RenderStat(libmatroska::KaxTags&, unsigned int, uint64_t, const char*)':
libmakemkv/src/libmkv.cpp:384: error: expected ')' before 'PRIu64'
libmakemkv/src/libmkv.cpp:392: error: expected ')' before 'PRIu64'
sstring/src/sstring.cpp: In function 'int sprintf_s(char*, size_t, const char*, ...)':
sstring/src/sstring.cpp:82: warning: comparison between signed and unsigned integer expressions
makemkvgui/src/uisync.cpp: In member function 'void MainWnd::SlotInfoRevert()':
makemkvgui/src/uisync.cpp:509: warning: unused variable 'item_id'
makemkvgui/src/viteminfo.cpp: In function 'QString BuildItemInfo(AP_UiItem*, bool)':
makemkvgui/src/viteminfo.cpp:152: warning: comparison between signed and unsigned integer expressions
make: *** [out/libmakemkv.so.1.full] Error 1
make: *** Waiting for unfinished jobs....
sstring/src/sstring.cpp: In function 'int sprintf_s(char*, size_t, const char*, ...)':
sstring/src/sstring.cpp:82: warning: comparison between signed and unsigned integer expressions
make: *** [out/makemkv.full] Error 1
Re: [Package Upgrade] MakeMKV for EL6 [message #3732 is a reply to message #3731] Thu, 13 October 2016 21:29 Go to previous messageGo to next message
loopnode
Messages: 20
Registered: October 2012
Location: earth-based
Junior Member
nux wrote on Thu, 13 October 2016 02:23
Hi,

Unfortunatelly latest version 1.10.2 no longer builds on EL6, any suggestions welcome.


Hey, thanks for looking into this issue. & unfortunately, I'm not a coder or skilled enough to help out in getting MakeMKV to build.

What, if anything, are other people using to backup dvds? Any suggestions?

Thanks again,
-loop
Re: [Package Upgrade] MakeMKV for EL6 [message #3735 is a reply to message #3579] Fri, 14 October 2016 07:48 Go to previous message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

HandBrake

yum install handbrake-gui
Previous Topic: package request - Frostwire
Next Topic: Openshot 1.4.3 and deps from EPEL
Goto Forum:
  


Current Time: Thu Nov 14 21:11:45 GMT 2019

Total time taken to generate the page: 0.01390 seconds